#pragma once

#include "VaxAccessAudioPCM.h"

class CVaxCallSession : private CVaxAccessAudioPCM
{

public:

	CVaxCallSession();
	~CVaxCallSession();

private:

	void StartRecording(LONG nSessionId);

public:

	void OnCallSessionAccessAudioPCM(LONG nSessionId, LONG nAccessType, char* pDataPCM, LONG nSizePCM, LONG nTypePCM);

	void OnCallSessionCreated(LONG nSessionId, LONG nReasonCode);
	void OnCallSessionClosed(LONG nSessionId, LONG nReasonCode);

	void OnIncomingCall(LONG nSessionId, LPCTSTR sCallerName, LPCTSTR sCallerId, LPCTSTR sCalleeName, LPCTSTR sCalleeId, LPCTSTR sDialNo, LONG nFromPeerType, LPCTSTR sFromPeerName, LPCTSTR sUserAgent, LPCTSTR sRecXML, LPCTSTR sFromIP, UINT nFromPort);
	void OnCallSessionConnected(LONG nSessionId);
};

